Summary:	GNOME Settings Daemon
Summary(pl.UTF-8):	Demon ustawień GNOME
Name:		gnome-settings-daemon
Version:	3.34.1
Release:	1
Epoch:		1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-settings-daemon/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	cdd0d0c8664056deb78aa40c88ec24d1
URL:		https://gitlab.gnome.org/GNOME/gnome-settings-daemon
BuildRequires:	ModemManager-devel >= 1.0
BuildRequires:	NetworkManager-devel >= 1.0
BuildRequires:	alsa-lib-devel
BuildRequires:	colord-devel >= 1.3.5
BuildRequires:	cups-devel >= 1.4
BuildRequires:	fontconfig-devel
BuildRequires:	gcr-devel >= 3.7.5
BuildRequires:	geoclue2-devel >= 2.3.1
BuildRequires:	geocode-glib-devel >= 3.10.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.56
BuildRequires:	gnome-desktop-devel >= 3.12.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.33.0
BuildRequires:	gtk+3-devel >= 3.15.3
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libgweather-devel >= 3.10.0
BuildRequires:	libnotify-devel >= 0.7.3
BuildRequires:	librsvg-devel >= 2.36.2
%ifnarch s390 s390x
BuildRequires:	libwacom-devel >= 0.7
%endif
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.44.0
BuildRequires:	ninja >= 1.5
BuildRequires:	nss-devel >= 1:3.11.2
BuildRequires:	pango-devel >= 1:1.20.0
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.114
BuildRequires:	pulseaudio-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	upower-devel >= 0.99.8
# wayland-client
BuildRequires:	wayland-devel
%ifnarch s390 s390x
BuildRequires:	xorg-driver-input-wacom-devel
%endif
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.56
Requires:	colord >= 1.3.5
Requires:	cups-lib >= 1.4
Requires:	gcr >= 3.7.5
Requires:	geoclue2 >= 2.3.1
Requires:	geocode-glib >= 3.10.0
Requires:	glib2 >= 1:2.56
Requires:	gnome-desktop >= 3.12.0
Requires:	gsettings-desktop-schemas >= 3.33.0
Requires:	gtk+3 >= 3.15.3
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	lcms2 >= 2.2
Requires:	libgweather >= 3.10.0
Requires:	libnotify >= 0.7.3
Requires:	librsvg >= 2.36.2
%ifnarch s390 s390x
Requires:	libwacom >= 0.7
%endif
Requires:	nss >= 1:3.11.2
Requires:	pango >= 1:1.20.0
Requires:	polkit-libs >= 0.114
Requires:	pulseaudio-libs >= 2.0
Requires:	upower-libs >= 0.99.8
# sr@Latn vs. sr@latin
Obsoletes:	gnome-settings-daemon-test < 1:3.24.0
Obsoletes:	gnome-settings-daemon-updates < 1:3.14.0
Conflicts:	glibc-misc < 6:2.7
Conflicts:	gnome-color-manager < 3.1.92-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Settings Daemon.

%description -l pl.UTF-8
Demon ustawień GNOME.

%package devel
Summary:	Header file for developing GNOME Settings Daemon clients
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia klientów demona ustawień GNOME
Group:		Development/Libraries
Requires:	glib2-devel >= 1:2.56
# doesn't require base currently

%description devel
Header file for developing GNOME Settings Daemon clients.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia klientów demona ustawień GNOME.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/gtk-modules

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libexecdir}/gsd-a11y-settings
%attr(755,root,root) %{_libexecdir}/gsd-backlight-helper
%attr(755,root,root) %{_libexecdir}/gsd-color
%attr(755,root,root) %{_libexecdir}/gsd-datetime
%attr(755,root,root) %{_libexecdir}/gsd-dummy
%attr(755,root,root) %{_libexecdir}/gsd-housekeeping
%attr(755,root,root) %{_libexecdir}/gsd-keyboard
%attr(755,root,root) %{_libexecdir}/gsd-media-keys
%attr(755,root,root) %{_libexecdir}/gsd-power
%attr(755,root,root) %{_libexecdir}/gsd-print-notifications
%attr(755,root,root) %{_libexecdir}/gsd-printer
%attr(755,root,root) %{_libexecdir}/gsd-rfkill
%attr(755,root,root) %{_libexecdir}/gsd-screensaver-proxy
%attr(755,root,root) %{_libexecdir}/gsd-sharing
%attr(755,root,root) %{_libexecdir}/gsd-smartcard
%attr(755,root,root) %{_libexecdir}/gsd-sound
%ifnarch s390 s390x
%attr(755,root,root) %{_libexecdir}/gsd-wacom
%attr(755,root,root) %{_libexecdir}/gsd-wacom-led-helper
%attr(755,root,root) %{_libexecdir}/gsd-wacom-oled-helper
%endif
%attr(755,root,root) %{_libexecdir}/gsd-wwan
%attr(755,root,root) %{_libexecdir}/gsd-xsettings
%dir %{_libdir}/gnome-settings-daemon-3.0
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libgsd.so
%dir %{_libdir}/gnome-settings-daemon-3.0/gtk-modules
/lib/udev/rules.d/61-gnome-settings-daemon-rfkill.rules
%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.*.xml
%{_datadir}/gnome-settings-daemon
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%ifnarch s390 s390x
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy
%endif
%dir %{systemduserunitdir}/gnome-session-initialized.target.wants
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-a11y-settings.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-color.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-datetime.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-housekeeping.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-keyboard.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-media-keys.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-power.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-print-notifications.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-rfkill.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-screensaver-proxy.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-sharing.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-smartcard.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-sound.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-wacom.target
%{systemduserunitdir}/gnome-session-initialized.target.wants/gsd-wwan.target
%dir %{systemduserunitdir}/gnome-session-x11-services.target.wants
%{systemduserunitdir}/gnome-session-x11-services.target.wants/gsd-xsettings.target
%{systemduserunitdir}/gsd-a11y-settings.service
%{systemduserunitdir}/gsd-a11y-settings.target
%{systemduserunitdir}/gsd-color.service
%{systemduserunitdir}/gsd-color.target
%{systemduserunitdir}/gsd-datetime.service
%{systemduserunitdir}/gsd-datetime.target
%{systemduserunitdir}/gsd-housekeeping.service
%{systemduserunitdir}/gsd-housekeeping.target
%{systemduserunitdir}/gsd-keyboard.service
%{systemduserunitdir}/gsd-keyboard.target
%{systemduserunitdir}/gsd-media-keys.service
%{systemduserunitdir}/gsd-media-keys.target
%{systemduserunitdir}/gsd-power.service
%{systemduserunitdir}/gsd-power.target
%{systemduserunitdir}/gsd-print-notifications.service
%{systemduserunitdir}/gsd-print-notifications.target
%{systemduserunitdir}/gsd-rfkill.service
%{systemduserunitdir}/gsd-rfkill.target
%{systemduserunitdir}/gsd-screensaver-proxy.service
%{systemduserunitdir}/gsd-screensaver-proxy.target
%{systemduserunitdir}/gsd-sharing.service
%{systemduserunitdir}/gsd-sharing.target
%{systemduserunitdir}/gsd-smartcard.service
%{systemduserunitdir}/gsd-smartcard.target
%{systemduserunitdir}/gsd-sound.service
%{systemduserunitdir}/gsd-sound.target
%{systemduserunitdir}/gsd-wacom.service
%{systemduserunitdir}/gsd-wacom.target
%{systemduserunitdir}/gsd-wwan.service
%{systemduserunitdir}/gsd-wwan.target
%{systemduserunitdir}/gsd-xsettings.service
%{systemduserunitdir}/gsd-xsettings.target
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.A11ySettings.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Color.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Datetime.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Housekeeping.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.MediaKeys.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Power.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.PrintNotifications.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Rfkill.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.ScreensaverProxy.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sharing.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Smartcard.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Sound.desktop
%ifnarch s390 s390x
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wacom.desktop
%endif
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.Wwan.desktop
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.XSettings.desktop

%files devel
%defattr(644,root,root,755)
%{_includedir}/gnome-settings-daemon-3.0
%{_pkgconfigdir}/gnome-settings-daemon.pc
%changelog
* Tue Oct 15 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-settings-daemon.git;a=log;h=master

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> cccb69b
- updated to 3.34.1

* Thu Oct 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 2853049
- updated to 3.34.0

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 5b128bf
- updated to 3.32.1

* Tue May 07 2019 Jakub Bogusz <qboosh@pld-linux.org> e1e5bd6
- updated to 3.32.0

* Sat Jan 26 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 9c43b1a
- Updated to 3.30.2

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 10fe8fc
- Update to 3.28.0

* Sat Jan 06 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 8a0e328
- Update to 3.26.2

* Tue Oct 03 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3c3fe46
- Update to 3.26.1

* Wed Sep 20 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 2d2b814
- Update to 3.26.0

* Mon Jul 24 2017 Jakub Bogusz <qboosh@pld-linux.org> ef9be35
- updated to 3.24.3

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 56abd34
- updated to 3.24.2

* Fri Apr 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> fc420df
- Update to 3.24.1

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6e62532
- Update to 3.24.0

* Wed Mar 15 2017 Jakub Bogusz <qboosh@pld-linux.org> 56ccffe
- updated to 3.22.2

* Wed Oct 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5b600bf
- Update to 3.22.1

* Sun Oct 02 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d6ad7b2
- Update to 3.22.0

* Wed Apr 13 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 45eb148
- Update to 3.20.1

* Sat Mar 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 180ccdf
- Update to 3.20.0

* Tue Nov 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> cd06439
- Update to 3.18.2

* Mon Oct 12 2015 Marcin Banasiak <marcin.banasiak@gmail.com> e1d10c4
- Update to 3.18.1

